{% extends "base.html" %}





{% block title %}Gruppenübersicht{% endblock %}

{% block content %}
	<header><h2>Gruppenübersicht</h2></header>
	<noscript class="alert danger">Diese Seite benötigt JavaScript.</noscript>
	<nav>
		<span>Springe zu:</span>
		{% for groupid, value in groups | dictsort %}
		<a href="#group-{{ groupid |e }}">
			<span class="group groupcolor selectgroup" style="--groupcolor: {{ value.color | e }};" >{{groupid | e}}</span>
		</a>
		{% endfor %}
	</nav>
	<img src="{{ url_for('get_group_graph') }}" alt="Gesamtpunkte aller Gruppen">
	{% for groupid, value in groups | dictsort %}
	<div class="content full-full-width center" id="group-{{ groupid | e }}">
		<h3>
			<span class="group groupcolor" style="--groupcolor: {{ value.color | e }};" >{{groupid | e}}</span>
		</h3>
		<div class="content full-full-width" data-hx-trigger="load" data-hx-get="/fragments/leaderboard/{{groupid | e}}">
		</div>
	</div>
	{% endfor %}
{% endblock %}
